# List Received Credits Retrieves a list of ReceivedCredits. ## Parameters - `created` (timestamp, optional) Filter for objects created at the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_gt` (timestamp, optional) Filter for objects created after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_gte` (timestamp, optional) Filter for objects created on or after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_lt` (timestamp, optional) Filter for objects created before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_lte` (timestamp, optional) Filter for objects created on or before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `limit` (integer, optional) The page limit. - `page` (string, optional) The page token. ## Returns ## Response attributes - `data` (array of objects) The retrieved ReceivedCredits. - `data.id` (string) Unique identifier for the ReceivedCredit. - `data.object` (string, value is "v2.money_management.received_credit") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.amount` (object) The amount and currency of the ReceivedCredit. - `data.amount.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `data.amount.value` (integer) A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units). - `data.balance_transfer` (object, nullable) This object stores details about the originating Stripe transaction that resulted in the ReceivedCredit. Present if `type` field value is `balance_transfer`. - `data.balance_transfer.from_account` (string, nullable) The ID of the account that owns the source object originated the ReceivedCredit. - `data.balance_transfer.outbound_payment` (string, nullable) The ID of the outbound payment object that originated the ReceivedCredit. - `data.balance_transfer.outbound_transfer` (string, nullable) The ID of the outbound transfer object that originated the ReceivedCredit. - `data.balance_transfer.payout_v1` (string, nullable) The ID of the payout object that originated the ReceivedCredit. - `data.balance_transfer.transfer` (string, nullable) The ID of the v1 transfer object that originated the ReceivedCredit. - `data.balance_transfer.type` (enum) The type of Stripe Money Movement that originated the ReceivedCredit. Possible enum values: - `outbound_payment` Balance transfer initiated by v2 outbound payment. - `outbound_transfer` Balance transfer initiated by v2 outbound transfer. - `payout_v1` Balance transfer initiated by v1 payouts request. - `transfer` Balance transfer initiated by a v1 transfer. - `data.bank_transfer` (object, nullable) This object stores details about the originating banking transaction that resulted in the ReceivedCredit. Present if `type` field value is `bank_transfer`. - `data.bank_transfer.financial_address` (string) Financial Address on which funds for ReceivedCredit were received. - `data.bank_transfer.gb_bank_account` (object, nullable) Hash containing the transaction bank details. Present if `origin_type` field value is `gb_bank_account`. - `data.bank_transfer.gb_bank_account.account_holder_name` (string, nullable) The bank name the transfer was received from. - `data.bank_transfer.gb_bank_account.bank_name` (string, nullable) The bank name the transfer was received from. - `data.bank_transfer.gb_bank_account.last4` (string, nullable) The last 4 digits of the account number that originated the transfer. - `data.bank_transfer.gb_bank_account.network` (enum) The money transmission network used to send funds for this ReceivedCredit. Possible enum values: - `fps` Funds received via FPS (Faster Payment System) network. - `data.bank_transfer.gb_bank_account.sort_code` (string, nullable) The sort code of the account that originated the transfer. - `data.bank_transfer.origin_type` (enum) Indicates the origin of source from which external funds originated from. Possible enum values: - `gb_bank_account` Funds received from a UK based bank account. See more details in the field “gb_bank_account”. - `sepa_bank_account` Funds received from a SEPA bank account. See more details in the field “sepa_bank_account”. - `us_bank_account` Funds received from a U.S. based bank account. See more details in the field “us_bank_account”. - `data.bank_transfer.sepa_bank_account` (object, nullable) Hash containing the transaction bank details. Present if `origin_type` field value is `sepa_bank_account`. - `data.bank_transfer.sepa_bank_account.account_holder_name` (string, nullable) The account holder name of the bank account the transfer was received from. - `data.bank_transfer.sepa_bank_account.bank_name` (string, nullable) The bank name the transfer was received from. - `data.bank_transfer.sepa_bank_account.bic` (string, nullable) The BIC of the SEPA account. - `data.bank_transfer.sepa_bank_account.country` (enum, nullable) The origination country of the bank transfer. - `data.bank_transfer.sepa_bank_account.iban` (string, nullable) The IBAN that originated the transfer. - `data.bank_transfer.sepa_bank_account.network` (enum) The money transmission network used to send funds for this ReceivedCredit. Possible enum values: - `sepa_credit_transfer` Funds received via SEPA network. - `data.bank_transfer.statement_descriptor` (string, nullable) Freeform string set by originator of the external ReceivedCredit. - `data.bank_transfer.us_bank_account` (object, nullable) Hash containing the transaction bank details. Present if `origin_type` field value is `us_bank_account`. - `data.bank_transfer.us_bank_account.bank_name` (string, nullable) The bank name the transfer was received from. - `data.bank_transfer.us_bank_account.last4` (string, nullable) The last 4 digits of the account number that originated the transfer. - `data.bank_transfer.us_bank_account.network` (enum) The money transmission network used to send funds for this ReceivedCredit. Possible enum values: - `ach` Funds received via ACH (Automated Clearing House) network. - `rtp` Funds received via the RTP (Real Time Payments) network. - `us_domestic_wire` Funds received via the Fedwire domestic US network. - `data.bank_transfer.us_bank_account.routing_number` (string, nullable) The routing number of the account that originated the transfer. - `data.created` (timestamp) Time at which the ReceivedCredit was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.description` (string, nullable) Freeform string set by originator of the ReceivedCredit. - `data.financial_account` (string) Financial Account ID on which funds for ReceivedCredit were received. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.receipt_url` (string, nullable) A hosted transaction receipt URL that is provided when money movement is considered regulated under Stripe’s money transmission licenses. - `data.status` (enum) The status of the ReceivedCredit. Possible enum values: - `failed` The ReceivedCredit was rejected by Stripe and funds don’t change existing balance. More details why it failed can be obtained from `status_details` field. - `pending` The ReceivedCredit was successfully processed. However, the funds are not yet available for use. More details why it is pending can be obtained from `status_details` field. - `returned` The ReceivedCredit was returned to the originator bank and the balance has been adjusted by deducting the original ReceivedCredit amount. More details why it was returned can be obtained from `status_details` field. - `succeeded` The ReceivedCredit was successfully processed and balance reflects the received funds. - `data.status_details` (object, nullable) This hash contains detailed information that elaborates on the specific status of the ReceivedCredit. e.g the reason behind a failure if the status is marked as `failed`. - `data.status_details.failed` (object, nullable) Hash that provides additional information regarding the reason behind a `failed` ReceivedCredit status. It is only present when the ReceivedCredit status is `failed`. - `data.status_details.failed.reason` (enum) The `failed` status reason. Possible enum values: - `capability_inactive` Funds rejected because the Financial Address feature on the associated Financial Account is inactive. Contact Stripe to re-enable the capability. - `currency_unsupported_on_financial_address` Funds were rejected due to a discrepancy between the currency of the funds and the supported currencies of the Financial Address. - `financial_address_inactive` Funds rejected because associated Financial Address that has been archived. - `stripe_rejected` Funds rejected by internal Stripe rules. - `data.status_details.returned` (object, nullable) Hash that provides additional information regarding the reason behind a `returned` ReceivedCredit status. It is only present when the ReceivedCredit status is `returned`. - `data.status_details.returned.reason` (enum) The `returned` status reason. Possible enum values: - `originator_initiated_reversal` Funds were returned due to a request for reversal by the originating bank. - `data.status_transitions` (object, nullable) Hash containing timestamps of when the object transitioned to a particular status. - `data.status_transitions.failed_at` (timestamp, nullable) Timestamp describing when the ReceivedCredit was marked as `failed`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.status_transitions.returned_at` (timestamp, nullable) Timestamp describing when the ReceivedCredit changed status to `returned`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.status_transitions.succeeded_at` (timestamp, nullable) Timestamp describing when the ReceivedCredit was marked as `succeeded`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.type` (enum) The type of flow that caused the ReceivedCredit. Possible enum values: - `balance_transfer` Funds received via internal Stripe balance transfer. - `bank_transfer` Funds received as a bank transfer from external rails, such as ACH, Wire, RTP, etc. - `external_credit` Replaced by bank_transfer, kept for backwards compatibility. - `next_page_url` (string, nullable) URL to fetch the next page of the list. If there are no more pages, the value is null. - `previous_page_url` (string, nullable) URL to fetch the previous page of the list. If there are no previous pages, the value is null. ## Error Codes | HTTP status code | Code | Description | | ---------------- | --------- | -------------------------- | | 404 | not_found | The resource wasn’t found. | ```curl curl https://api.stripe.com/v2/money_management/received_credits \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-01-28.preview" ``` ### Response ```json { "data": [ { "id": "rc_61O18kMR4G9BiyFkn16NsjVW2gfQu2lIgkGQVy6ueCx6", "object": "v2.money_management.received_credit", "financial_account": "fa_65NvHabRWMmVKVjernQ16NsjgsfdSQu2lIgkGQVy6ueDtY", "amount": { "value": 100, "currency": "usd" }, "description": "Weekly transfer 1", "type": "bank_transfer", "bank_transfer": { "origin_type": "us_bank_account", "statement_descriptor": "Fund Stripe account 05/12", "us_bank_account": { "last4": "4557", "routing_number": "011000022", "bank_name": "Goldman Sachs", "network": "ach" }, "financial_address": "finaddr_61NvHgGH9ksEFkYqj16NsjVW4dSQu2lIgkGQVy6ueWsx" }, "status": "succeeded", "status_details": null, "created": "2023-05-12T16:27:02.086Z", "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNk8wTVlLWjBTUURuM3A5OG9tZkQwWEEowNT4ogYyBvspfuDuEjpFlCZjXpjpVKRcHPK43kfFldwrwOO8ZPmRHjQmXL1jPf1GWWgoFxtL61dBWz-W2mEzwRgIgC0wPJi7M3HCUIOkSlwyfvHi", "status_transitions": { "succeeded_at": "2023-05-12T16:27:02.086Z", "failed_at": null, "returned_at": null }, "livemode": true }, { "id": "rc_61NvJ0vCutkwhd9kv16NsjVW3dSQu2lIasGQVy6sdAEq", "object": "v2.money_management.received_credit", "financial_account": "fa_65NvHabRWMmVKVjernQ16NsjgsfdSQu2lIgkGQVy6ueDtY", "amount": { "value": 100000000, "currency": "usd" }, "description": "Weekly transfer 2", "type": "bank_transfer", "bank_transfer": { "origin_type": "us_bank_account", "statement_descriptor": "Fund Stripe account 05/09", "us_bank_account": { "last4": "4557", "routing_number": "011000022", "bank_name": "Goldman Sachs", "network": "ach" }, "financial_address": "finaddr_61NvHgGH9ksEFkYqj16NsjVW4dSQu2lIgkGQVy6ueWsx" }, "status": "succeeded", "status_details": null, "created": "2023-05-09T16:27:02.086Z", "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNk8wTVlLWjBTUURuM3A5OG9tZkQwWEEowNT4ogYyBiOaJJNGOjpFlA46et0qfvfYTzz0191oHra4Wpa5K80tLvWbiq3egozdIXbUTF95Ot0b5mwx6cf8iCmz28lFtP_Lo3X6MBS_B26m3aCj", "status_transitions": { "succeeded_at": "2023-05-09T16:27:02.086Z", "failed_at": null, "returned_at": null }, "livemode": true } ], "next_page_url": null, "previous_page_url": null } ```